Bug 1520570 - Review Request: perl-Scalar-String - String aspects of scalars
Summary: Review Request: perl-Scalar-String - String aspects of scalars
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1520572
TreeView+ depends on / blocked
 
Reported: 2017-12-04 17:52 UTC by Robert-André Mauchin 🐧
Modified: 2018-02-27 20:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-27 20:39:24 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2017-12-04 17:52:04 UTC
Spec URL: https://raw.githubusercontent.com/eclipseo/packaging/749fc2de/perl-Scalar-String.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/ravada/fedora-rawhide-x86_64/00683994-perl-Scalar-String/perl-Scalar-String-0.003-1.fc28.src.rpm

Description: This module is about the string part of plain Perl scalars. A scalar has a
string value, which is notionally a sequence of Unicode codepoints, but
may be internally encoded in either ISO-8859-1 or UTF-8. In places, and
more so in older versions of Perl, the internal encoding shows through. To
fully understand Perl strings it is necessary to understand these
implementation details.

Fedora Account System Username: eclipseo

Comment 4 Jitka Plesnikova 2017-12-13 09:31:56 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Scalar-String-0.003-1.fc28.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libperl.so.5.26()(64bit)
      1 perl(Carp)
      2 perl(Exporter)
      1 perl(:MODULE_COMPAT_5.26.1)
      1 perl(parent)
      1 perl(strict)
      1 perl(warnings)
      1 perl(XSLoader)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires are almost Ok.
FIX: Please remove duplicity perl(Exporter) from run-requires.

$ rpm -qp --provides perl-Scalar-String-0.003-1.fc28.x86_64.rpm | sort | uniq -c
      1 perl(Scalar::String) = 0.003
      1 perl-Scalar-String = 0.003-1.fc28
      1 perl-Scalar-String(x86-64) = 0.003-1.fc28
Binary provides are Ok.

$ rpmlint ./perl-Scalar-String*
perl-Scalar-String.src: W: spelling-error %description -l en_US codepoints -> code points, code-points, codependents
perl-Scalar-String.x86_64: W: spelling-error %description -l en_US codepoints -> code points, code-points, codependents
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Rpmlint is ok

Please correct 'FIX' issue.

Otherwise, the package looks good.
Approved.

Comment 5 Gwyn Ciesla 2017-12-13 16:16:02 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Scalar-String. You may commit to the branch "f27" in about 10 minutes.

Comment 6 Fedora Update System 2017-12-13 18:54:49 UTC
perl-Scalar-String-0.003-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ef3dd9357

Comment 7 Fedora Update System 2017-12-13 19:33:33 UTC
perl-Scalar-String-0.003-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e94bd7ae1a

Comment 8 Fedora Update System 2017-12-14 06:14:26 UTC
perl-Scalar-String-0.003-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e94bd7ae1a

Comment 9 Fedora Update System 2017-12-14 11:14:18 UTC
perl-Scalar-String-0.003-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ef3dd9357

Comment 10 Fedora Update System 2017-12-26 16:30:03 UTC
perl-Scalar-String-0.003-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-12-28 02:48:56 UTC
perl-Scalar-String-0.003-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-02-07 21:45:40 UTC
perl-Scalar-String-0.003-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-6c82f2d57f

Comment 13 Fedora Update System 2018-02-08 08:42:07 UTC
perl-Scalar-String-0.003-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-6c82f2d57f

Comment 14 Fedora Update System 2018-02-27 20:39:24 UTC
perl-Scalar-String-0.003-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.